Subject: [bug#44920] [PATCH]: Add fcitx5.

From: Zhu Zihao <[email-masked]>
Date: Sat, 05 Dec 2020 12:09:25 +0800

Thank you, Peng. your review are helpful, but I still have some
objection on following points.

Peng Mei Yu writes:

> Hi Zhu Zihao,
>
> Great work.  This patch series provides a long waited alternative to
> ibus.  I prefer to use ibus as my input method editor, but still thank
> you for this work.
>
> Please see comments bellow.
>
>
> Zhu Zihao writes:
>
>> This is a series of patches, add fcitx5 and its build dependecies.
>> a qt5 and gtk2/3 plugin, chinese inputmethod addon and a material theme
>>
>> From cbe128e488078b3af8f7d1bdb4bf9dc9f12a2f0b Mon Sep 17 00:00:00 2001
>> From: Zhu Zihao <[email-masked]>
>> Date: Sat, 28 Nov 2020 13:16:50 +0800
>> Subject: [PATCH 1/9] gnu: Add xcb-imdkit.
>>
>> * gnu/packages/fcitx5.scm: New file.
>> (xcb-imdkit): New variable.
>
> These packages should be put into gnu/packages/fcitx.scm.

Why? It currently only used by fcitx5.

>
> I don't think we should emphasize that Fcitx 5 is the successor to
> Fcitx.  It's obvious.  The old Fcitx 4 has already been deprecated by
> the author.  Do you think there is a good reason to keep the current
> Fcitx package while adding a Fcitx 5 package?  Why not replace the old
> one?

Because Fcitx4 and Fcitx5 is totally different, like python2 & python3.
Fcitx5 turns to C++ and Qt technology stack.

>
> "Lua support for Fcitx"
>
>> +    (description "Fcitx5-lua allow user to write Fcitx5 extension in Lua.")
>
> "Fcitx5-lua allows writing Fcitx extentions in Lua."
>
> I think we can drop all the emphases on "5".
>

ditto, because fcitx and fcitx5 are totally different, it's needed to
make a clarification.

-- 
Retrieve my PGP public key: https://meta.sr.ht/~citreu.pgp

Zihao